<h1 class="no-toc">Introduction to the Angular Docs</h1>



These Angular docs help you learn and use the Angular platform and framework, from your first app to optimizing complex enterprise apps. 
Tutorials and guides include downloadable example to accelerate your projects. 


<div class="card-container">
  <a href="start" class="docs-card" title="Angular Getting Started">
      <section>Learn</section>
      <p>Create your first Angular app, without any setup</p>
      <p class="card-footer">Getting Started</p> 
  </a>
  <a href="guide/setup-local" class="docs-card"
    title="Angular Local Environment Setup">
      <section>Start Working</section>
      <p>Set up your local environment with the Angular CLI</p>
      <p class="card-footer">Local Setup</p>
  </a>
  <a href="guide/architecture" class="docs-card" title="Angular Architecture">
      <section>Explore</section>
      <p>Learn more about Angular apps and framework features</p>
      <p class="card-footer">Architecture</p>
  </a>
</div>


## Assumptions


These docs assume that you are already familiar with HTML, CSS, [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript/A_re-introduction_to_JavaScript "Learn JavaScript"), 
and some of the tools from the [latest standards](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Language_Resources "Latest JavaScript standards"), such as [classes](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Classes "ES2015 Classes") and [modules](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/import "ES2015 Modules"). 
The code samples are written using [TypeScript](https://www.typescriptlang.org/ "TypeScript"). 
Most Angular code can be written with just the latest JavaScript, using [types](https://www.typescriptlang.org/docs/handbook/classes.html "TypeScript Types") for dependency injection, and using [decorators](https://www.typescriptlang.org/docs/handbook/decorators.html "Decorators") for metadata.


## Feedback 

<h4>You can sit with us!</h4>

We want to hear from you. [Report problems or submit suggestions for future docs.](https://github.com/angular/angular/issues/new/choose "Angular GitHub repository new issue form")

Contribute to Angular docs by creating
[pull requests](https://github.com/angular/angular/pulls "Angular Github pull requests")
on the Angular Github repository.
See [Contributing to Angular](https://github.com/angular/angular/blob/master/CONTRIBUTING.md "Contributing guide")
for information about submission guidelines.  

Our community values respectful, supportive communication.
Please consult and adhere to the [Code of Conduct](https://github.com/angular/code-of-conduct/blob/master/CODE_OF_CONDUCT.md "Contributor code of conduct").

