# Pushing changes into the Angular tree

Please see [Using git with Angular repositories](https://docs.google.com/document/d/1h8nijFSaa1jG_UE8v4WP7glh5qOUXnYtAtJh_gwOQHI/edit)
for details about how we maintain a linear commit history, and the rules for committing.

As a contributor, just read the instructions in [CONTRIBUTING.md](../CONTRIBUTING.md) and send a pull request.
Someone with committer access will do the rest.

# Change approvals

Change approvals in our monorepo are managed via [GitHub CODEOWNERS](https://help.github.com/articles/about-codeowners/) and are configured via the `.github/CODEOWNERS` file.


# Merging

Once a change has all the approvals either the last approver or the PR author (if PR author has the project collaborator status) should mark the PR with `PR: merge` as well as `PR target: *` labels.
This signals to the caretaker that the PR should be merged. See [merge instructions](../CARETAKER.md).

# Who is the Caretaker?

See [this explanation](https://twitter.com/IgorMinar/status/799365744806854656).
